package com.wd.workoffice.bean.mesBean;

import java.util.List;

/**
 * author : flexible
 * email : lgd19940421@163.com
 * github: https://github.com/FlexibleXd
 * date: 2021-10-26
 **/
public class WorkCodeBean {

        private int pageNum;
        private int pageSize;
        private int size;
        private int startRow;
        private int endRow;
        private int total;
        private int pages;
        private List<ListBean> list;
        private int prePage;
        private int nextPage;
        private boolean isFirstPage;
        private boolean isLastPage;
        private boolean hasPreviousPage;
        private boolean hasNextPage;
        private int navigatePages;
        private List<Integer> navigatepageNums;
        private int navigateFirstPage;
        private int navigateLastPage;
        private int firstPage;
        private int lastPage;

        public int getPageNum() {
            return pageNum;
        }

        public void setPageNum(int pageNum) {
            this.pageNum = pageNum;
        }

        public int getPageSize() {
            return pageSize;
        }

        public void setPageSize(int pageSize) {
            this.pageSize = pageSize;
        }

        public int getSize() {
            return size;
        }

        public void setSize(int size) {
            this.size = size;
        }

        public int getStartRow() {
            return startRow;
        }

        public void setStartRow(int startRow) {
            this.startRow = startRow;
        }

        public int getEndRow() {
            return endRow;
        }

        public void setEndRow(int endRow) {
            this.endRow = endRow;
        }

        public int getTotal() {
            return total;
        }

        public void setTotal(int total) {
            this.total = total;
        }

        public int getPages() {
            return pages;
        }

        public void setPages(int pages) {
            this.pages = pages;
        }

        public List<ListBean> getList() {
            return list;
        }

        public void setList(List<ListBean> list) {
            this.list = list;
        }

        public int getPrePage() {
            return prePage;
        }

        public void setPrePage(int prePage) {
            this.prePage = prePage;
        }

        public int getNextPage() {
            return nextPage;
        }

        public void setNextPage(int nextPage) {
            this.nextPage = nextPage;
        }

        public boolean isIsFirstPage() {
            return isFirstPage;
        }

        public void setIsFirstPage(boolean isFirstPage) {
            this.isFirstPage = isFirstPage;
        }

        public boolean isIsLastPage() {
            return isLastPage;
        }

        public void setIsLastPage(boolean isLastPage) {
            this.isLastPage = isLastPage;
        }

        public boolean isHasPreviousPage() {
            return hasPreviousPage;
        }

        public void setHasPreviousPage(boolean hasPreviousPage) {
            this.hasPreviousPage = hasPreviousPage;
        }

        public boolean isHasNextPage() {
            return hasNextPage;
        }

        public void setHasNextPage(boolean hasNextPage) {
            this.hasNextPage = hasNextPage;
        }

        public int getNavigatePages() {
            return navigatePages;
        }

        public void setNavigatePages(int navigatePages) {
            this.navigatePages = navigatePages;
        }

        public List<Integer> getNavigatepageNums() {
            return navigatepageNums;
        }

        public void setNavigatepageNums(List<Integer> navigatepageNums) {
            this.navigatepageNums = navigatepageNums;
        }

        public int getNavigateFirstPage() {
            return navigateFirstPage;
        }

        public void setNavigateFirstPage(int navigateFirstPage) {
            this.navigateFirstPage = navigateFirstPage;
        }

        public int getNavigateLastPage() {
            return navigateLastPage;
        }

        public void setNavigateLastPage(int navigateLastPage) {
            this.navigateLastPage = navigateLastPage;
        }

        public int getFirstPage() {
            return firstPage;
        }

        public void setFirstPage(int firstPage) {
            this.firstPage = firstPage;
        }

        public int getLastPage() {
            return lastPage;
        }

        public void setLastPage(int lastPage) {
            this.lastPage = lastPage;
        }

        public static class ListBean {
            private String id;
            private String createDateTime;
            private String updateDateTime;
            private String materialCode;
            private String materialName;
            private String abbreviation;
            private String specifications;
            private String genericCode;
            private String middleCode;
            private Object mainUnit;
            private String subUnit;
            private String measurementUnit;
            private Object packOneUnit;
            private Object packOneNum;
            private Object packTwoUnit;
            private Object packTwoNum;
            private String priceUnit;
            private String purchaseUnit;
            private String workUnit;
            private String createby;
            private String changeby;
            private Object createUserName;
            private String updateUserName;
            private Object storageId;
            private Object storageCode;
            private String storageDesc;
            private Object planQuantity;
            private String unit;
            private String materialTypeName;
            private Object mouldDrawing;
            private Object middleName;
            private List<?> attachments;
            private Object mouldTypeId;
            private Object mouldTypeName;
            private boolean delete;



            public String getId() {
                return id;
            }

            public void setId(String id) {
                this.id = id;
            }

            public String getCreateDateTime() {
                return createDateTime;
            }

            public void setCreateDateTime(String createDateTime) {
                this.createDateTime = createDateTime;
            }

            public String getUpdateDateTime() {
                return updateDateTime;
            }

            public void setUpdateDateTime(String updateDateTime) {
                this.updateDateTime = updateDateTime;
            }

            public String getMaterialCode() {
                return materialCode;
            }

            public void setMaterialCode(String materialCode) {
                this.materialCode = materialCode;
            }

            public String getMaterialName() {
                return materialName;
            }

            public void setMaterialName(String materialName) {
                this.materialName = materialName;
            }

            public String getAbbreviation() {
                return abbreviation;
            }

            public void setAbbreviation(String abbreviation) {
                this.abbreviation = abbreviation;
            }

            public String getSpecifications() {
                return specifications;
            }

            public void setSpecifications(String specifications) {
                this.specifications = specifications;
            }

            public String getGenericCode() {
                return genericCode;
            }

            public void setGenericCode(String genericCode) {
                this.genericCode = genericCode;
            }

            public String getMiddleCode() {
                return middleCode;
            }

            public void setMiddleCode(String middleCode) {
                this.middleCode = middleCode;
            }

            public Object getMainUnit() {
                return mainUnit;
            }

            public void setMainUnit(Object mainUnit) {
                this.mainUnit = mainUnit;
            }

            public String getSubUnit() {
                return subUnit;
            }

            public void setSubUnit(String subUnit) {
                this.subUnit = subUnit;
            }

            public String getMeasurementUnit() {
                return measurementUnit;
            }

            public void setMeasurementUnit(String measurementUnit) {
                this.measurementUnit = measurementUnit;
            }

            public Object getPackOneUnit() {
                return packOneUnit;
            }

            public void setPackOneUnit(Object packOneUnit) {
                this.packOneUnit = packOneUnit;
            }

            public Object getPackOneNum() {
                return packOneNum;
            }

            public void setPackOneNum(Object packOneNum) {
                this.packOneNum = packOneNum;
            }

            public Object getPackTwoUnit() {
                return packTwoUnit;
            }

            public void setPackTwoUnit(Object packTwoUnit) {
                this.packTwoUnit = packTwoUnit;
            }

            public Object getPackTwoNum() {
                return packTwoNum;
            }

            public void setPackTwoNum(Object packTwoNum) {
                this.packTwoNum = packTwoNum;
            }

            public String getPriceUnit() {
                return priceUnit;
            }

            public void setPriceUnit(String priceUnit) {
                this.priceUnit = priceUnit;
            }

            public String getPurchaseUnit() {
                return purchaseUnit;
            }

            public void setPurchaseUnit(String purchaseUnit) {
                this.purchaseUnit = purchaseUnit;
            }

            public String getWorkUnit() {
                return workUnit;
            }

            public void setWorkUnit(String workUnit) {
                this.workUnit = workUnit;
            }

            public String getCreateby() {
                return createby;
            }

            public void setCreateby(String createby) {
                this.createby = createby;
            }

            public String getChangeby() {
                return changeby;
            }

            public void setChangeby(String changeby) {
                this.changeby = changeby;
            }

            public Object getCreateUserName() {
                return createUserName;
            }

            public void setCreateUserName(Object createUserName) {
                this.createUserName = createUserName;
            }

            public String getUpdateUserName() {
                return updateUserName;
            }

            public void setUpdateUserName(String updateUserName) {
                this.updateUserName = updateUserName;
            }

            public Object getStorageId() {
                return storageId;
            }

            public void setStorageId(Object storageId) {
                this.storageId = storageId;
            }

            public Object getStorageCode() {
                return storageCode;
            }

            public void setStorageCode(Object storageCode) {
                this.storageCode = storageCode;
            }

            public String getStorageDesc() {
                return storageDesc;
            }

            public void setStorageDesc(String storageDesc) {
                this.storageDesc = storageDesc;
            }

            public Object getPlanQuantity() {
                return planQuantity;
            }

            public void setPlanQuantity(Object planQuantity) {
                this.planQuantity = planQuantity;
            }

            public String getUnit() {
                return unit;
            }

            public void setUnit(String unit) {
                this.unit = unit;
            }

            public String getMaterialTypeName() {
                return materialTypeName;
            }

            public void setMaterialTypeName(String materialTypeName) {
                this.materialTypeName = materialTypeName;
            }

            public Object getMouldDrawing() {
                return mouldDrawing;
            }

            public void setMouldDrawing(Object mouldDrawing) {
                this.mouldDrawing = mouldDrawing;
            }

            public Object getMiddleName() {
                return middleName;
            }

            public void setMiddleName(Object middleName) {
                this.middleName = middleName;
            }

            public List<?> getAttachments() {
                return attachments;
            }

            public void setAttachments(List<?> attachments) {
                this.attachments = attachments;
            }

            public Object getMouldTypeId() {
                return mouldTypeId;
            }

            public void setMouldTypeId(Object mouldTypeId) {
                this.mouldTypeId = mouldTypeId;
            }

            public Object getMouldTypeName() {
                return mouldTypeName;
            }

            public void setMouldTypeName(Object mouldTypeName) {
                this.mouldTypeName = mouldTypeName;
            }

            public boolean isDelete() {
                return delete;
            }

            public void setDelete(boolean delete) {
                this.delete = delete;
            }
        }
}
